work_order_generator_job:
  cron: "0 */2 * * *"
  class: "WorkOrderGeneratorJob"

invoice_generator_job:
  cron: "*/10 * * * *"
  class: "InvoiceGeneratorJob"

contract_expiration_generator_job:
  cron: "0 0 * * * America/New_York"
  class: "ContractExpirationJob"

compliance_information_expiration_alert:
  cron: "0 0 * * *"
  class: "ComplianceInformationExpirationAlert"

tradesmen_synchronization_job:
  cron: "0 0 * * *"
  class: "SyncFtcUsersJob"

default_scheduler_work_order_job:
  cron: "0 0 1 * *"
  class: "DefaultSchedulerWorkOrderGeneratorJob"

quickbooks_token_refresher_job:
  cron: "0 0 * * * America/New_York"
  class: 'Quickbooks::TokenRefresherJob'
  load_if: <%= Gem.loaded_specs.has_key?('quickbooks') %>


# TODO: Enable once external ID setup completed
# cron: "0 5 * * * America/New_York"
data_exporter_job:
  cron: "*/30 * * * *"
  class: "DataExporterJob"

paycom_tci01_export_job:
  cron: "0 2 * * * America/New_York"
  class: "Paycom::PaycomTci01ExportJob"
  load_if: <%= Rails.application.secrets.paycom_sftp_host.present? %>

paycom_lai02_export_job:
  cron: "0 2 * * * America/New_York"
  class: "Paycom::PaycomLai02ExportJob"
  load_if: <%= Rails.application.secrets.paycom_sftp_host.present? %>

paycom_tai02_export_job:
  cron: "0 2 * * 2 America/New_York"
  class: "Paycom::PaycomTai02ExportJob"
  load_if: <%= Rails.application.secrets.paycom_sftp_host.present? %>

paycom_import_job:
  cron: "0 1 * * * America/New_York"
  class: "Paycom::PaycomImportJob"
  load_if: <%= Rails.application.secrets.paycom_sftp_host.present? %>

company_material_exporter_job:
  cron: "0 0 * * 1-5 America/New_York"
  class: "CompanyMaterialExporterJob"

default_trip_generator_job:
  cron: "0 0 * * * America/New_York"
  class: "DefaultTripGeneratorJob"
